<?php
/*------------------------------------------------------------------------
# mod_jo_whatsapp_contact_button - JO WhatsApp Contact Button for Joomla 1.6, 1.7, 2.5 and 3.x module
# -----------------------------------------------------------------------
# author: http://www.joomcore.com
# copyright Copyright (C) 2011 Joomcore.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomcore.com
# Technical Support:  Forum - http://www.joomcore.com/Support
-------------------------------------------------------------------------*/

// no direct access
defined('_JEXEC') or die('Restricted access'); 
$doc = JFactory::getDocument();

$moduleclass_sfx = $params->get('moduleclass_sfx');
$shownonlymobile = $params->get('shownonlymobile');
$button_color = $params->get('button_color');
$icon_color = $params->get('icon_color');
$position_button = $params->get('position_button');
$left_right_value = $params->get('left_right_value');
$bottomvalue = $params->get('bottomvalue');
$animation_button = $params->get('animation_button');
$mobilephone = $params->get('mobilephone');

?>
<?php if($shownonlymobile ==1) {?>
	<style type="text/css">
		@media (min-width: 768px) {
			.jo-whatsappcontactbutton{
				display: none;
			}
		}
	</style>
<?php } ?>

<div class="jo-whatsappcontactbutton <?php echo $moduleclass_sfx ?>">
	<a id="jo_whatsapp_<?php echo $module->id?>" href="#" class="ak86_<?php echo $animation_button?> wcf2w_button" style="<?php echo $position_button?>: <?php echo $left_right_value?>px; bottom: <?php echo $bottomvalue?>px; background-color: #<?php echo $button_color?>; color: #<?php echo $icon_color?>" target="_blank">
		<i class="fa fab fa-whatsapp"></i>
	</a>
</div>

<script type="text/javascript">	
	jo_whatsapp = document.getElementById("jo_whatsapp_<?php echo $module->id?>");
	if( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) {
	 	jourl = "whatsapp://send?phone=<?php echo $mobilephone?>";
	}else{
		jourl = "https://web.whatsapp.com/send?l=en&phone=<?php echo $mobilephone?>";
	}
	jo_whatsapp.setAttribute('href', jourl);
</script>